
#include <Rinternals.h>

#include "beta.h"

SEXP compute_beta_loglik(SEXP x, SEXP m, SEXP n)
{
    double ans;
    double *dx = REAL(x);
    ans = beta_ll(dx, length(x), asReal(m), asReal(n));
    dx[0] = 0;
    return ScalarReal(ans);
}

